Un fallo en el navegador expone tus datos de Facebook y Gmail

Software

Han encontrado un importante fallo de seguridad que afecta a varios navegadores web, como es el caso de Mozilla Firefox y Microsoft Edge. Y según el cual, como ha explicado un investigador de Google, experto en seguridad informática, se puede exponer contenido confidencial de los usuarios. Un problema que afecta, por ejemplo, en el uso de servicios como Gmail o Facebook, aunque no son los únicos.

Jake Archibald, el experto en seguridad informática que ha explicado el problema de seguridad, comenta que la vulnerabilidad tiene que ver con cómo se gestionan solicitudes de origen cruzado. Este sistema puede ser explotado, por ejemplo, para leer mensajes privados de un usuario intercambiados a través de plataformas como Gmail y Facebook, entre muchas otras en las que es necesario hacer un inicio de sesión. El experto explica que, de normal, el dominio de estos servicios impide las solicitudes de origen cruzado a otros dominios; sin embargo, la vulnerabilidad permite modificar este comportamiento en el tratamiento de archivos multimedia.

Mozilla Firefox y Microsoft Edge son algunos de los navegadores web afectados por esta vulnerabilidad que permite espiar tu Facebook

Para explotar este fallo de seguridad sería necesario que, por ejemplo, se inserte un archivo multimedia malicioso, el cual se reproduzca únicamente de forma parcial, y que obligue al navegador web a buscar el archivo de origen. Es aquí cuando se fuerza una solicitud de origen cruzado y, de esta manera, en la segunda solicitud se mezclan los datos visibles de un archivo multimedia con otros archivos ocultos. Por lo tanto, se puede hacer un robo de información desde un determinado dominio a otro que, como decíamos, podría ser Facebook, Gmail y otras cuentas sociales.

Lo curioso es que navegadores web como Google Chrome, o Safari, no sufren esta vulnerabilidad. Sencillamente, porque estos navegadores web rechazan de forma automática las solicitudes de origen cruzado para evitar que se pueda llevar a cabo un ataque de este tipo. En Edge o Firefox, que son los afectados, dado este problema es crucial actualizar a la última versión con la máxima urgencia posible.

Escrito por Carlos González

Fuente > ADSLZone

Vía > redeszone